Device - Update File Upload Status
This method is used to notify an IoT hub of a completed file upload. See https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload for more information.
POST https://fully-qualified-iothubname.azure-devices.net/devices/{deviceId}/files/notifications?api-version=2021-04-12
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
device
|
path | True |
string |
Device ID. |
|
api-version
|
query | True |
string |
Version of the Api. |
Request Body
| Name | Type | Description |
|---|---|---|
| correlationId |
string |
|
| isSuccess |
boolean |
|
| statusCode |
integer (int32) |
|
| statusDescription |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
The file Upload completion status object |
Definitions
FileUploadCompletionStatus
| Name | Type | Description |
|---|---|---|
| correlationId |
string |
|
| isSuccess |
boolean |
|
| statusCode |
integer (int32) |
|
| statusDescription |
string |